%define pypi_name jsonpatch

Name:           python-jsonpatch
Version:        1.3
Release:        %mkrel 2
Group:          Development/Python
Summary:        Apply JSON-Patches (RFC 6902)

License:        Modified BSD License
URL:            https://github.com/stefankoegl/python-json-patch
Source0:        https://pypi.python.org/packages/source/j/jsonpatch/jsonpatch-%{version}.tar.gz
Patch0:         jsonpatch-1.3-mga-decode-error.patch 
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
Library to apply JSON Patches according to RFC 6902.


%package -n     python3-%{pypi_name}
Summary:        Apply JSON-Patches (RFC 6902)
Group:          Development/Python


%description -n python3-%{pypi_name}
Library to apply JSON Patches according to RFC 6902.


%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p0
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/jsondiff %{buildroot}/%{_bindir}/python3-jsondiff
mv %{buildroot}%{_bindir}/jsonpatch %{buildroot}/%{_bindir}/python3-jsonpatch
popd

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.md
%{_bindir}/jsondiff
%{_bindir}/jsonpatch
%{python_sitelib}/


%files -n python3-%{pypi_name}
%doc README.md
%{_bindir}/python3-jsondiff
%{_bindir}/python3-jsonpatch
%{python3_sitelib}/



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.3-2.mga4
+ Revision: 542475
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 philippem <philippem> 1.3-1.mga4
+ Revision: 497637
- imported package python-jsonpatch

